Bug 215183 - security/tor: Update to 0.2.8.11
Summary: security/tor: Update to 0.2.8.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-09 21:35 UTC by Neel Chauhan
Modified: 2016-12-15 10:11 UTC (History)
2 users (show)

See Also:
yuri: maintainer-feedback+


Attachments
Patch to update security.tor to 0.2.8.11 (788 bytes, patch)
2016-12-09 21:35 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2016-12-09 21:35:25 UTC
Created attachment 177834 [details]
Patch to update security.tor to 0.2.8.11

This port builds on FreeBSD 11.0 amd64.
Comment 1 Kurt Jaeger freebsd_committer 2016-12-13 19:51:53 UTC
The changelog says:

Changes in version 0.2.8.11 - 2016-12-08
  Tor 0.2.8.11 backports fixes for additional portability issues that
  could prevent Tor from building correctly on OSX Sierra, or with
  OpenSSL 1.1. Affected users should upgrade; others can safely stay
  with 0.2.8.10.

  o Minor bugfixes (portability):
    - Avoid compilation errors when building on OSX Sierra. Sierra began
      to support the getentropy() and clock_gettime() APIs, but created
      a few problems in doing so. Tor 0.2.9 has a more thorough set of
      workarounds; in 0.2.8, we are just using the /dev/urandom and mach
      monotonic time interfaces. Fixes bug 20865. Bugfix
      on 0.2.8.1-alpha.

  o Minor bugfixes (portability, backport from 0.2.9.5-alpha):
    - Fix compilation with OpenSSL 1.1 and less commonly-used CPU
      architectures. Closes ticket 20588.

So this update is not really needed for FreeBSD right now, is it ?
Comment 2 Kurt Jaeger freebsd_committer 2016-12-13 19:52:15 UTC
Btw, testbuilds on cur 11a 10i 93a all fine.
Comment 3 Kurt Jaeger freebsd_committer 2016-12-13 20:20:11 UTC
Sorry, clicked the wrong "save" button
Comment 4 commit-hook freebsd_committer 2016-12-15 10:11:22 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Dec 15 10:10:22 UTC 2016
New revision: 428609
URL: https://svnweb.freebsd.org/changeset/ports/428609

Log:
  - Update to 0.2.8.11

  PR:		215183
  Submitted by:	neel@neelc.org
  Approved by:	yuri@rawbw.com (maintainer)

Changes:
  head/security/tor/Makefile
  head/security/tor/distinfo